<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="Author" content="Todd Riggins">
   <meta name="GENERATOR" content="Mozilla/4.61 [en] (Win98; I) [Netscape]">
   <title>EXOTICA: STREAM WAVE</title>
</head>
<body background="images/exotica_bg.gif" bgcolor="#000000" text="#ffffff">
<center>
<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><center><b><font color="maroon"><font size=+2>
<a NAME="STREAM"></a>EXOTICA: STREAM WAVE
</font></font></b></center></td></tr>
</table>
<br>

<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_api.html">API MAIN PAGE</A><br>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><center><b><font color="black">
Contents<br>
8 routines<p>
<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_dstrea.html#SETUP_STREAM_BUFFER">SETUP_STREAM_BUFFER</A><br>
<A href="e_dstrea.html#STREAM_BUFFER_UPDATE">STREAM_BUFFER_UPDATE</A><br>
<A href="e_dstrea.html#STREAM_BUFFER_PLAY">STREAM_BUFFER_PLAY</A><br>
<A href="e_dstrea.html#STREAM_BUFFER_RESUME">STREAM_BUFFER_RESUME</A><br>
<A href="e_dstrea.html#STREAM_BUFFER_STOP">STREAM_BUFFER_STOP</A><br>
<A href="e_dstrea.html#STREAM_BUFFER_VOLUME">STREAM_BUFFER_VOLUME</A><br>
<A href="e_dstrea.html#STREAM_BUFFER_EXIT">STREAM_BUFFER_EXIT</A><br>
<A href="e_dstrea.html#FREE_STREAMWAVE">FREE_STREAMWAVE</A><br>
</font></b></td></tr>
</table>
</font></b></center></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="SETUP_STREAM_BUFFER"></a><center><font color="Maroon">SETUP_STREAM_BUFFER</font></center>
<hr WIDTH="100%">
C: int SETUP_STREAM_BUFFER( LPSTR Filename, int StreamWave_ID, int Loop) <br>
<hr WIDTH="100%">
Euphoria Function: c_func(SETUP_STREAM_BUFFER,{Filename, StreamWave_ID, Loop}) <br>
<hr WIDTH="100%">
Description: Opens a wave file for streaming. Set the Loop variable to 1 if you want to to loop
the streaming wave. Otherwise, set it to 0 if you want to play the streaming wave only once.
StreamWave_ID identifies what wave you are going to stream.<p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="STREAM_BUFFER_UPDATE"></a><center><font color="Maroon">STREAM_BUFFER_UPDATE</font></center>
<hr WIDTH="100%">
C: void STREAM_BUFFER_UPDATE( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(STREAM_BUFFER_UPDATE,{NULL}) <br>
<hr WIDTH="100%">
Description: You must call STREAM_BUFFER_UPDATE in your main loop in order to stream the any
stream buffers you had setup.<p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="STREAM_BUFFER_PLAY"></a><center><font color="Maroon">STREAM_BUFFER_PLAY</font></center>
<hr WIDTH="100%">
C: void STREAM_BUFFER_PLAY( int StreamWave_ID ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(STREAM_BUFFER_PLAY,{ StreamWave_ID }) <br>
<hr WIDTH="100%">
Description: Starts streamming StreamWave_ID from the beginning. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="STREAM_BUFFER_RESUME"></a><center><font color="Maroon">STREAM_BUFFER_RESUME</font></center>
<hr WIDTH="100%">
C: void STREAM_BUFFER_RESUME( int StreamWave_ID ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(STREAM_BUFFER_RESUME,{ StreamWave_ID }) <br>
<hr WIDTH="100%">
Description: Resumes StreamWave_ID from the last position the streamming wave had been
stopped with the routine STREAM_WAVE_STOP(). <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="STREAM_BUFFER_STOP"></a><center><font color="Maroon">STREAM_BUFFER_STOP</font></center>
<hr WIDTH="100%">
C: void STREAM_BUFFER_STOP( int StreamWave_ID ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(STREAM_BUFFER_STOP,{ StreamWave_ID }) <br>
<hr WIDTH="100%">
Description: Stops streamming StreamWave_ID. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="STREAM_BUFFER_VOLUME"></a><center><font color="Maroon">STREAM_BUFFER_VOLUME</font></center>
<hr WIDTH="100%">
C: void STREAM_BUFFER_VOLUME( int StreamWave_ID, int Volume ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(STREAM_BUFFER_VOLUME,{StreamWave_ID, Volume}) <br>
<hr WIDTH="100%">
Description: Set the volume of the streaming wave. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="STREAM_BUFFER_EXIT"></a><center><font color="Maroon">STREAM_BUFFER_EXIT</font></center>
<hr WIDTH="100%">
C: void STREAM_BUFFER_EXIT( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(STREAM_BUFFER_EXIT,{NULL}) <br>
<hr WIDTH="100%">
Description: Shutdown and free up all stream buffers. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="FREE_STREAMWAVE"></a><center><font color="Maroon">FREE_STREAMWAVE</font></center>
<hr WIDTH="100%">
C: void FREE_STREAMWAVE( int StreamWave_ID ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(FREE_STREAMWAVE,{ StreamWave_ID }) <br>
<hr WIDTH="100%">
Description: Close and Free up the specified StreamWave_ID if no longer needed. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_api.html">API MAIN PAGE</A><br>
</font></b></td></tr>
</table>

</center>
</body>
</html>
